View Issue Details

IDProjectCategoryView StatusLast Update
0022510mantisbtinstallationpublic2017-03-12 19:23
ReportergtomlinAssigned Todregad 
PriorityurgentSeverityblockReproducibilityalways
Status closedResolutionfixed 
Product Version2.2.0 
Target Version2.2.1Fixed in Version2.2.1 
Summary0022510: Attempting to connect to database as admin BAD despite valid userid and password
Description

I am trying to install an unaltered copy of 2.2.0 so I can have a look at it before doing an upgrade from my current Mantis installation.

OS: Win 10 Pro 32 bit, version 1607.
Software (contained in XAMPP 1.8.2):

  • MySQL 5.0.10
  • Apache/2.4.10 (Win32)
  • PHP 5.4.31

I unzipped the distribution to a directory in htdocs, then opened the admin/install.php page.

For simplicity, I used the MySQL root userid/password as the Username (for Database) and Password (for Database). I specified the same values in the Admin Username and Admin Password fields.

I clicked Install/Upgrade Database, and all results under Checking Database were good, except:
"Attempting to connect to database as admin BAD
Does administrative user have access to the database? ( Unknown database 'mantis220vanilla' )"

After clicking Install/Upgrade Database, the page shows 8 dots for the Password (for Database) field but only 6 dots for Admin Password.

I verified that I could use the same admin userid/password to create a database using either mysqladmin or phpMyAdmin.

I tried the same test as above with 2.1.0, and the install completed without problem.

I've attached a copy of the install page after clicking Install/Upgrade Database.

I don't know whether this might be what the reporter of 0022481 was encountering.

TagsNo tags attached.

Activities

gtomlin

gtomlin

2017-03-10 16:21

reporter  

Mantis 2.2.0 installation error.pdf (35,401 bytes)
gtomlin

gtomlin

2017-03-10 16:36

reporter   ~0056040

This problem report /may/ be invalid. I just checked the 2.0 Admin Guide, contained in the download package, and I see that my software levels are below the minimum. The Admin Guide available from http://www.mantisbt.org/documentation.php is still the 1.3 version.

I'll upgrade XAMPP and retry, then update here whether it resolved the problem.

dregad

dregad

2017-03-10 17:09

developer   ~0056041

The Admin Guide available from http://www.mantisbt.org/documentation.php is still the 1.3 version.

For the record, I just fixed that a few minutes ago (see #22511) as another user pointed me to this discrepancy.

gtomlin

gtomlin

2017-03-10 17:37

reporter   ~0056042

Thanks dregad!

gtomlin

gtomlin

2017-03-10 18:47

reporter   ~0056043

Upgraded XAMPP to 5.6.30, which contains:

  • Apache 2.4.25,
  • MariaDB 10.1.21,
  • PHP 5.6.30.

Repeated the same installation test and got the same results:
Attempting to connect to database as admin BAD
Does administrative user have access to the database? ( Unknown database 'mantis220vanilla' )
DB admin password appears to have been truncated to 6 characters again.

Repeated the same installation test with 2.1.0, and install was successful.

dregad

dregad

2017-03-11 17:29

developer   ~0056044

I can reproduce the problem on my Dev box.

Git bisect traces the problem to MantisBT master 42718557 so this is a regression introduced by 0022400

dregad

dregad

2017-03-11 18:11

developer   ~0056045

PR https://github.com/mantisbt/mantisbt/pull/1049/files

@vboctor, considering the criticality of this issue (which basically blocking new installs), I would appreciate if you could review & test the code for inclusion in the 2.2.1 release.

atrol

atrol

2017-03-12 06:08

developer   ~0056047

@dregad, thanks for fixing, this is the regression I mentioned at 0022468:0056034.

Related Changesets

MantisBT: master-2.2 92f07eb6

2017-03-12 04:00:30

dregad


Committer: GitHub Details Diff
Install: fix db connection as admin check (#1049)

Commit 42718557933d1e58fc134ef3bea7db97aeb00c65 (issue 0022400)
introduced a regression in the installer, causing the 'Attempting to
connect to database as admin' check to fail for new installations, even
though the Admin user ID and password are correct.

Fixes 0022510
mod - admin/install.php Diff File

Issue History

Date Modified Username Field Change
2017-03-10 16:21 gtomlin New Issue
2017-03-10 16:21 gtomlin File Added: Mantis 2.2.0 installation error.pdf
2017-03-10 16:36 gtomlin Note Added: 0056040
2017-03-10 17:09 dregad Note Added: 0056041
2017-03-10 17:37 gtomlin Note Added: 0056042
2017-03-10 18:47 gtomlin Note Added: 0056043
2017-03-11 17:29 dregad Priority normal => urgent
2017-03-11 17:29 dregad Status new => confirmed
2017-03-11 17:29 dregad Target Version => 2.2.1
2017-03-11 17:29 dregad Note Added: 0056044
2017-03-11 18:11 dregad Assigned To => dregad
2017-03-11 18:11 dregad Status confirmed => assigned
2017-03-11 18:11 dregad Note Added: 0056045
2017-03-12 04:00 dregad Changeset attached => MantisBT master-2.2 92f07eb6
2017-03-12 04:00 dregad Status assigned => resolved
2017-03-12 04:00 dregad Resolution open => fixed
2017-03-12 05:56 atrol Fixed in Version => 2.2.1
2017-03-12 06:08 atrol Note Added: 0056047
2017-03-12 19:23 vboctor Status resolved => closed